If your Ubuntu is 64 bit, you'll need 32 bit compatibility libraries to run adb.